(() => {
    "use strict";
    Bitmap.prototype._drawTextBody = function(text, tx, ty) {
        const c = this.context;
        c.fillStyle = this.textColor;
        c.fillText(text, tx, ty);
    };
    Bitmap.prototype._drawTextOutline = function(text, tx, ty) {
        const c = this.context;
        if (this.decorationMode === 1) {
            c.fillStyle = this.outlineColor;
            c.fillText(text, tx + 2, ty + 2);
        } else {
            c.strokeStyle = this.outlineColor;
            c.lineWidth = this.outlineWidth;
            c.lineJoin = "round";
            c.strokeText(text, tx, ty);
        }
    };
})();
